> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/extenders/rotation/wisej.web.rotation.properties.md).

# Rotation.Properties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.1.0.0)

Represents the set of CSS3 rotation properties.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Properties
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Properties
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/H6zPlCVr6uRnF9Ri9w88) Properties()

Creates a new instance of the rotation properties.

## Properties

### ![](/files/H6zPlCVr6uRnF9Ri9w88) Enabled

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Enables or disables the rotation. (Default: `True`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) HideBackface

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Hides the backside of a rotated component. (Default: `False`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) Origin

[String](https://docs.microsoft.com/dotnet/api/system.string): Changes the position of transformed elements by setting the location of the rotation fulcrum in relation to the widget. If left empty, the default is 50% 50%, the center of the control. (Default: `""`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) Perspective

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a perspective view for a 3D transformed element. (Default: `0`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) RotateX

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D rotation along the X-axis. (Default: `0`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) RotateY

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D rotation along the Y-axis. (Default: `0`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) RotateZ

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D rotation along the Z-axis. (Default: `0`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) ScaleX

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D scale (%) transformation by giving a value for the X-axis. (Default: `100`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) ScaleY

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D scale (%) transformation by giving a value for the Y-axis. (Default: `100`)

### ![](/files/H6zPlCVr6uRnF9Ri9w88) ScaleZ

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Defines a 3D scale (%) transformation by giving a value for the Z-axis. (Default: `100`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/rotation/wisej.web.rotation.properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
